Skip to main content
POST
Configuring the webhook

Authorizations

Authorization
string
header
required

An API key issued in the Backoffice, sent as Authorization: Bearer vzk_<key id>_<secret>. A Microsoft Entra ID access token obtained with the client credentials grant is accepted on the same header. The same value is also accepted in an X-API-Key header.

Path Parameters

company_id
string
required

The location. A 24-character hexadecimal id.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5f2a1b9c4d3e2f0011223344"

Body

application/json
url
string<uri>
required

A valid, publicly reachable URL.

http_method
enum<string>
required

With GET the event is sent as query parameters instead of a body.

Available options:
POST,
PUT,
PATCH,
GET
enabled
boolean
default:false
auth_username
string

Sent as HTTP Basic credentials with auth_password.

auth_password
string

Response

The webhook was configured.

message
string
Example:

"Webhook configured successfully"

webhook_id
string

A 24-character hexadecimal id.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5f2a1b9c4d3e2f0011223344"